## pip-check-reqs 2.1.1

=== requirements.txt ===
packaging
# Pinned pip versions are matched in the GitHub workflows CI matrix.
pip >= 10.0.1

=== debian/changelog ===
pip-check-reqs (2.1.1-3) unstable; urgency=medium

  * Bump Standards-Version up to 4.5.1.
  * Run `wrap-and-sort -ast`.
  * Bump copyright year in debian/copyright.
  * Add upstream metadata file.

 -- Francois Marier <francois@debian.org>  Mon, 18 Jan 2021 23:20:05 -0800

pip-check-reqs (2.1.1-2) unstable; urgency=medium

  * Fix watch file to use the upstream tarball name.

 -- Francois Marier <francois@debian.org>  Wed, 21 Oct 2020 14:55:35 -0700

pip-check-reqs (2.1.1-1) unstable; urgency=medium

  * Initial release (Closes: #969995)

 -- Francois Marier <francois@debian.org>  Wed, 09 Sep 2020 22:54:05 -0700

=== debian/control ===
Source: pip-check-reqs
Section: devel
Priority: optional
Maintainer: Francois Marier <francois@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-setuptools,
Standards-Version: 4.5.1
Homepage: https://github.com/r1chardj0n3s/pip-check-reqs
Vcs-Browser: https://salsa.debian.org/debian/pip-check-reqs
Vcs-Git: https://salsa.debian.org/debian/pip-check-reqs.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: pip-check-reqs
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: checker for missing and extra packages in Python requirements
 It happens: you start using a module in your project and it works and you
 don't realise that it's only being included in your virtualenv because it's
 a dependency of a package you're using. pip-missing-reqs finds those modules
 so you can include them in the requirements.txt for the project.
 .
 Alternatively, you have a long-running project that has some packages in
 requirements.txt that are no longer actively used in the codebase. The
 pip-extra-reqs tool will find those modules so you can remove them.

## pip-check-reqs 2.3.2

=== requirements.txt ===
packaging >= 16.0
# Pinned pip versions are matched in the GitHub workflows CI matrix.
pip >= 10.0.1

=== debian/changelog ===
pip-check-reqs (2.3.2-1) unstable; urgency=medium

  * New upstream release

 -- Francois Marier <francois@debian.org>  Fri, 29 Oct 2021 23:27:43 -0700

pip-check-reqs (2.3.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version up to 4.6.0.

 -- Francois Marier <francois@debian.org>  Thu, 21 Oct 2021 10:26:44 -0700

pip-check-reqs (2.3.0-1) unstable; urgency=medium

  * New upstream release
  * Drop Debian patch which has been merged upstream.
  * Add --skip-incompatible and --requirements-file to manpages.

 -- Francois Marier <francois@debian.org>  Sat, 21 Aug 2021 12:10:47 -0700

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  dh-python,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/r1chardj0n3s/pip-check-reqs
 Vcs-Browser: https://salsa.debian.org/debian/pip-check-reqs
 Vcs-Git: https://salsa.debian.org/debian/pip-check-reqs.git

=== debian/watch ===
version=4
https://pypi.debian.net/pip-check-reqs/pip_check_reqs-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pip-check-reqs 2.4.3

=== requirements.txt ===
packaging >= 16.0
# Pinned pip versions are matched in the GitHub workflows CI matrix.
pip >= 21.2.4

=== debian/changelog ===
pip-check-reqs (2.4.3-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version up to 4.6.2.
  * Bump copyright years in debian/copyright and fix upstream contact name.

 -- Francois Marier <francois@debian.org>  Mon, 02 Jan 2023 13:25:38 -0800

pip-check-reqs (2.4.2-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version up to 4.6.1.
  * Bump copyright years in debian/copyright.

 -- Francois Marier <francois@debian.org>  Wed, 02 Nov 2022 22:37:38 -0700

## pip-check-reqs 2.5.3

=== requirements.txt ===
packaging >= 20.5
# Pinned pip versions are matched in the GitHub workflows CI matrix.
pip >= 23.2

=== debian/changelog ===
pip-check-reqs (2.5.3-1) unstable; urgency=medium

  * New upstream release
    This was released on PyPI as 2.5.3, but is listed on GitHub as 2.5.2.
    See https://github.com/r1chardj0n3s/pip-check-reqs/issues/163.

 -- Francois Marier <francois@debian.org>  Sat, 16 Sep 2023 11:53:12 -0700

pip-check-reqs (2.5.1-1) unstable; urgency=medium

  * New upstream release

 -- Francois Marier <francois@debian.org>  Mon, 11 Sep 2023 13:45:04 -0700

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  dh-python,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/r1chardj0n3s/pip-check-reqs
 Vcs-Browser: https://salsa.debian.org/debian/pip-check-reqs
 Vcs-Git: https://salsa.debian.org/debian/pip-check-reqs.git

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=pip-check-reqs

%:
	dh $@ --with python3 --buildsystem=pybuild

## pip-check-reqs 2.5.5

=== requirements.txt ===
packaging >= 22
pip >= 23.2

=== debian/changelog ===
pip-check-reqs (2.5.5-1) unstable; urgency=medium

  * New upstream release
  * Add pybuild-plugin-pyproject build-dependency
  * Bump Standards-Version up to 4.7.3
  * Bump debian/copyright year
  * Upgrade debian/watch to version 5
  * Add debian/gbp.conf to enable pristine-tar
  * Add debian/salsa-ci.yml
  * Remove redundant Rules-Requires-Root: no in debian/control

 -- Francois Marier <francois@debian.org>  Mon, 29 Dec 2025 14:18:02 -0800

## pip-check-reqs 2.5.6

=== debian/changelog ===
pip-check-reqs (2.5.6-1) unstable; urgency=medium

  * New upstream release
  * Bump debian/copyright year

 -- Francois Marier <francois@debian.org>  Tue, 27 Jan 2026 12:04:39 -0800

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/r1chardj0n3s/pip-check-reqs
 Vcs-Browser: https://salsa.debian.org/debian/pip-check-reqs
 Vcs-Git: https://salsa.debian.org/debian/pip-check-reqs.git
 Testsuite: autopkgtest-pkg-python
-Rules-Requires-Root: no
 
 Package: pip-check-reqs
 Architecture: all

=== debian/watch ===
Version: 5

Source: https://pypi.debian.net/pip-check-reqs/
Matching-Pattern: pip_check_reqs-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
